package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type ContactCorporateRequest struct {
	// 【企业名称】企业名称
	ContactName string `json:"contactName"`
	// 【联系人列表】联系人列表
	Operators []*common.ContactCorporateOperatorsRequest `json:"operators"`
	// 【企业编号】企业编号
	ContactNo string `json:"contactNo,omitempty"`
}

func (obj ContactCorporateRequest) GetUrl() string {
	return "/contact/corporate"
}

func (obj ContactCorporateRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
